From a9e9f7ac34d28e19205a2c51435c17dcde0ea069 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Tue, 18 Jun 2019 12:15:09 +0200
Subject: [PATCH] riot-desktop: add patch for startup failure due to electron 5

fixes #12513
---
 srcpkgs/riot-desktop/patches/electron5.patch | 32 ++++++++++++++++++++
 srcpkgs/riot-desktop/template                |  2 +-
 2 files changed, 33 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/riot-desktop/patches/electron5.patch

diff --git a/srcpkgs/riot-desktop/patches/electron5.patch b/srcpkgs/riot-desktop/patches/electron5.patch
new file mode 100644
index 00000000000..c90db20fb75
--- /dev/null
+++ b/srcpkgs/riot-desktop/patches/electron5.patch
@@ -0,0 +1,32 @@
+from https://gist.github.com/dbkr/e898624be6d53590ebf494521d868fec
+
+diff --git a/electron_app/src/electron-main.js b/electron_app/src/electron-main.js
+index 99ddfbd1..c3aa4f5d 100644
+--- electron_app/src/electron-main.js
++++ electron_app/src/electron-main.js
+@@ -206,7 +206,10 @@ const launcher = new AutoLaunch({
+ // work.
+ // Also mark it as secure (ie. accessing resources from this
+ // protocol and HTTPS won't trigger mixed content warnings).
+-protocol.registerStandardSchemes(['vector'], {secure: true});
++//protocol.registerStandardSchemes(['vector'], {secure: true});
++protocol.registerSchemesAsPrivileged([{
++    scheme: 'vector', privileges: {standard: true, secure: true, supportFetchAPI: true},
++}]);
+ 
+ app.on('ready', () => {
+     if (argv['devtools']) {
+diff --git a/electron_app/src/preload.js b/electron_app/src/preload.js
+index 3a4f7c9a..f63e19d4 100644
+--- electron_app/src/preload.js
++++ electron_app/src/preload.js
+@@ -23,7 +23,7 @@ window.ipcRenderer = ipcRenderer;
+ // protocol: this is necessary to load olm.wasm.
+ // (Also mark it a secure although we've already
+ // done this in the main process).
+-webFrame.registerURLSchemeAsPrivileged('vector', {
++/*webFrame.registerURLSchemeAsPrivileged('vector', {
+     secure: true,
+     supportFetchAPI: true,
+-});
++});*/
diff --git a/srcpkgs/riot-desktop/template b/srcpkgs/riot-desktop/template
index df6b790d655..1bc9ed54a54 100644
--- a/srcpkgs/riot-desktop/template
+++ b/srcpkgs/riot-desktop/template
@@ -1,7 +1,7 @@
 # Template file for 'riot-desktop'
 pkgname=riot-desktop
 version=1.2.1
-revision=1
+revision=2
 archs="i686 x86_64"
 wrksrc="riot-web-${version}"
 conf_files="/etc/${pkgname}/config.json"
